SMTPAuth

SMTPAuth SMTPAuth www.bisswanger.com

Version: 2.00
Copyright ©2002-2004, Bisswanger Software
All Rights Reserved.


SMTPAuth - Quick Start

SMTPAuth SMTPAuth www.bisswanger.com

Quick Start

This is a quick start for experienced users. If you can't follow then look in the other topics or search under E-Mail Clients if your client is available.
  • Setup your account data in SMTPAuth. Activate "Account active"
  • SMTP server: localhost or 127.0.0.1.
  • SMTP server port: the one selected in SMTPAuth under Port (local).
  • No changes have to be made in the POP3 settings.
  • You can now send E-Mails with SMTPAuth.


SMTPAuth - Settings

SMTPAuth SMTPAuth www.bisswanger.com

General Accounts Advanced Windows-Service Protocol About
Settings

Select the wanted category above.


SMTPAuth - General

Settings -> General

1: | Select you language. SMTPAuth is using language files. You can find more language files on http://www.bisswanger.com. If your language is not yet available then you can translate the english.lng and send it to info@bisswanger.com
2: | Determine whether SMTPAuth should be started with Windows.
3: | If activated only the local PC can connect to SMTPAuth. (For better configuration look at Advanced)
4: | If activated then SMTPAuth will add all received and sent data to the Protocol
5: | Determine where SMTPAuth should store the data. Values: Registry (HKCU): Stores the settings in the Registry for the current user only. Registry (HKLM): Stores the settings in the Registry for all users. INI-File: Stores the settings in an INI-File in the program directory. Using the INI-File you can simply copy the data from one PC to another.
6: | Here you can print all out all program and account settings.
7: | Display the current status. Values: Inactive: No account which is set as active. Waiting: At least one account is active. SMTPAuth is waiting for mails. Sending: Currently sending a mail.


SMTPAuth - Accounts

Settings -> Accounts

1: | List of all accounts. Select an account to change / delete the settings.
2: | Add a new account.
3: | Delete the selected account. Note: The settings can't be restored after deleting.
4: | Edit the settings of the selected account.
5: | Save your changes. Note: The connection of the selected account will be interrupted to change the settings. If you're sending mails while changing the settings, the transfer will be cancelled.
6: | Cancel editing. The changes won't be saved.
7: | The SMTP-Server of your provider.
8: | The port of the SMTP-Server (normally: 25)
9: | Your username for the SMTP-Server
10: | Your password for the SMTP-Server
11: | On this port SMTPAuth is waiting for new mails. You need to enter this port in your mail client.
12: | You can only send E-Mails if this box is checked.
13: | SMTPAuth support 3 different authentication methods: AUTH PLAIN: all data send in one request AUTH LOGIN: data send in 3 requests AUTH CRAM-MD5: Your password is send encrypted to the mail server.
14: | There are two commands to say "Hello" to the mail server. Some servers only support SMTP-Authentication when using EHLO. If you select this option then it'll use the EHLO command still if your mail client doesn't send it.
15: | If this option is selected you need to enter your password each time you want to send a mail. Not supported using the Windows Service version.


SMTPAuth - Advanced

Settings -> Advanced

1: | Activate advanced IP configuration. Only connections from an IP address which is on the list will be accepted. You can also add wildcard IPs. For 192.168.X.X simply enter 192.168 and click on enter.
2: | Enter the IP to be added to the list.
3: | Add the entered IP address to the list.
4: | Delete the selected IP address.
5: | List of all allowed IP addresses.


SMTPAuth - Windows-Service

Settings -> Windows-Service

1: | Specify here wheter you want to use the Windows Service or not. If activated mails can only be sent through the Service. The Save Type is forced to "Registry (HKLM)" because this is need so that the Service can read the settings.
2: | Displays the current status of the SMTPAuth Service.
3: | Install the SMTPAuth Service. You need to have the right permissions to do this. After you've installed it the service will be started automatically each time your PC starts.
4: | Uninstall the Service. If it's currently running it will be stopped before deleting.
5: | If the Service is installed and stopped use this button to run the service.
6: | Stop the Windows-Service if it's currently running.


SMTPAuth - Protocol

SMTPAuth SMTPAuth www.bisswanger.com

Settings -> Protocol

1: | All received and sent data will be displayed here. On startup SMTPAuth will add some system data.
2: | Save the protocol to a file.
3: | Clear the protocol.


SMTPAuth - Examples

Examples

Provider | SMTP-Server | Port | Username | use AUTH LOGIN | Convert HELO to EHLO
1&1 PureTec | smtp.1und.1com | 25 | Mailbox-Name | ON / OFF | ON / OFF
OperaMail | smtpx.operamail.com | 25 | username:operamail.com#operamail.com | ON / OFF | ON / OFF
Schlund + Partner | auth.smtp.kundenserver.de | 25 | Mailbox-Name | ON / OFF | ON / OFF
Yahoo! Mail | smtp.mail.yahoo.com | 25 | Yahoo! ID | ON / OFF | ON / OFF
GMX | mail.gmx.net | 25 | USERNAME@DOMAIN.XY (e.g. test@gmx.de) | ON / OFF | ON / OFF

More settings? Send them to info@bisswanger.com


SMTPAuth - Opera 6

SMTPAuth and Opera 6

Step 1: | Activate the mail account in Opera which you want to use with SMTPAuth.
Step 2: | Right click on the Account name and then select Properties or use E-Mail -> Edit active account.
Step 3: | Select the tab "Servers" in the new window. Opera
Step 4: | You need now to enter localhost as Server and 25 as Port in the server field under Outgoing. (see image) (If you're using another local port in SMTPAuth you need to use this instead of 25)
Step 5: | Hit OK and now it should work. (Probably you need to restart Opera)


SMTPAuth - Opera 7

SMTPAuth and Opera 7

Step 1: | Mail -> Manage Accounts
Step 2: | Click on the account and select Edit.
Step 3: | Select the tab "Servers" in the new window. Opera
Step 4: | You need now to enter localhost as Server and 25 as Port in the server field under Outgoing. (see image) (If you're using another local port in SMTPAuth you need to use this instead of 25)
Step 5: | Hit OK and now it should work. (Probably you need to restart Opera)


SMTPAuth - StarOffice

SMTPAuth and StarOffice

Step 1: | Right click on the Outbox and then select Properties.
Step 2: | Select the tab "SMTP" in the new window. StarOffice
Step 3: | You need now to enter localhost:25 in the server field. (see image) (If you're using another local port in SMTPAuth you need to use this instead of 25)
Step 4: | Hit OK and now it should work. (Probably you need to restart StarOffice)


SMTPAuth - Contact

Contact

Bisswanger Software
Ramon Bißwanger
Am Waldblick 24
74541 Vellberg-Großaltdorf
GERMANY
E-Mail:
Info: info@bisswanger.com
Support: support@bisswanger.com
Homepage: http://www.bisswanger.com

All product and brand names used in this documentation may be trademarks or registered trademarks of their respective holders.


SMTPAuth - Technical

Technical

This page is only for users who wants to know how SMTPAuth is working.
You need some information about internet connection and protocols to understand this.

SMTP Authentication

SMTP Authentication was first stated March 1999 in the RFC 2554 "SMTP Service Extension for Authentication". (View the document online)
The Authentication was introduced because before there was no protection who can send mails from a Webserver and so everyone was able to send spam mails through other mail-servers and rest invisible.

There are three login methods:
  • AUTH PLAIN:
  • AUTH LOGIN:
  • AUTH CRAM-MD5: Described in RFC 2195 from September 1997 ("IMAP/POP AUTHorize Extension for Simple Challenge/Response")